# Uses of Class
com.google.protobuf.Any

Packages that use Any
Package
Description
com.google.protobuf

## Uses of Any in com.google.protobuf

Methods in com.google.protobuf that return Any
Modifier and Type
Method
Description
`Any`
Any.Builder.`build()`
`Any`
Any.Builder.`buildPartial()`
`static Any`
Any.`getDefaultInstance()`
`Any`
Any.Builder.`getDefaultInstanceForType()`
`Any`
Any.`getDefaultInstanceForType()`
`Any`
Option.Builder.`getValue()`
`.google.protobuf.Any value = 2 [json_name = "value"];`
`Any`
Option.`getValue()`
`.google.protobuf.Any value = 2 [json_name = "value"];`
`Any`
OptionOrBuilder.`getValue()`
`.google.protobuf.Any value = 2 [json_name = "value"];`
`static <T extends Message>
Any`
Any.`pack(T message)`
`static <T extends Message>
Any`
Any.`pack(T message, String typeUrlPrefix)`
Packs a message using the given type URL prefix.
`static Any`
Any.`parseDelimitedFrom(InputStream input)`
`static Any`
Any.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Any`
Any.`parseFrom(byte[] data)`
`static Any`
Any.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Any`
Any.`parseFrom(ByteString data)`
`static Any`
Any.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Any`
Any.`parseFrom(CodedInputStream input)`
`static Any`
Any.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Any`
Any.`parseFrom(InputStream input)`
`static Any`
Any.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Any`
Any.`parseFrom(ByteBuffer data)`
`static Any`
Any.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Any
Modifier and Type
Method
Description
`Parser<Any>`
Any.`getParserForType()`
`static Parser<Any>`
Any.`parser()`
Methods in com.google.protobuf with parameters of type Any
Modifier and Type
Method
Description
`Any.Builder`
Any.Builder.`mergeFrom(Any other)`
`Option.Builder`
Option.Builder.`mergeValue(Any value)`
`.google.protobuf.Any value = 2 [json_name = "value"];`
`static Any.Builder`
Any.`newBuilder(Any prototype)`
`Option.Builder`
Option.Builder.`setValue(Any value)`
`.google.protobuf.Any value = 2 [json_name = "value"];`